aboutsummaryrefslogtreecommitdiff
path: root/blogsend
diff options
context:
space:
mode:
authorPhilip Wittamore <philip@wittamore.com>2026-05-31 12:28:54 +0200
committerPhilip Wittamore <philip@wittamore.com>2026-05-31 12:28:54 +0200
commit77b8914d9f233321430f9a9a9947c52de9239a72 (patch)
tree06c62d7db00b0d6ec8ecc1a223ed30e9d4fa985e /blogsend
update
Diffstat (limited to 'blogsend')
-rwxr-xr-xblogsend26
1 files changed, 26 insertions, 0 deletions
diff --git a/blogsend b/blogsend
new file mode 100755
index 0000000..905857e
--- /dev/null
+++ b/blogsend
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+# blogsend
+
+# folders
+localdir=~/web
+
+# update git
+echo "-- Updating git"
+cd $localdir || exit
+git add *
+git commit -m 'file update'
+git push origin master
+
+# update remote http root
+echo "-- Updating remote web root"
+ssh -q soc << EOF
+cd /srv/http/wittamore.fr || exit
+pwd
+git pull
+EOF
+
+printf "Done.\n"
+
+exit 0
+